"Татварын PosAPI Linux дээр ажиллуулахад гарах асуудлууд шийдэх"-ны өөр хувилбарууд

Дусал нэвтэрхий толь-с
 
11-р мөр: 11-р мөр:
 
'''"libsqlite3-0" сангийн version зөрөөд байсан байна.'''
 
'''"libsqlite3-0" сангийн version зөрөөд байсан байна.'''
  
Ubuntu 18.04 дээр libsqlite3-0 (3.22) хувилбар
+
libsqlite3-0 (3.8)
Ubuntu 14.04 дээр libsqlite3-0 (3.8) хувилбар нь тохируулагдсан байдаг юм байна.
 
  
 
Тэгэхээр хуучин version -г нь хайж олж байгаад суулгаж ажиллуулахад алдаа нь засагдаж байна шүү.
 
Тэгэхээр хуучин version -г нь хайж олж байгаад суулгаж ажиллуулахад алдаа нь засагдаж байна шүү.
18-р мөр: 17-р мөр:
 
3.8 хувилбарын debian package-н татах линк
 
3.8 хувилбарын debian package-н татах линк
 
https://launchpad.net/ubuntu/trusty/amd64/libsqlite3-0/3.8.2-1ubuntu2.1
 
https://launchpad.net/ubuntu/trusty/amd64/libsqlite3-0/3.8.2-1ubuntu2.1
 
  
 
libsqlite3-0_3.8.2-1ubuntu2.1_amd64.deb ийм нэртэй файл татагдана. Доорх тушаалаар задална.
 
libsqlite3-0_3.8.2-1ubuntu2.1_amd64.deb ийм нэртэй файл татагдана. Доорх тушаалаар задална.
36-р мөр: 34-р мөр:
 
   
 
   
  
'''Installing libssl1.0.0 on Ubuntu 20.04'''
+
'''libssl1.0.0 -ийг Ubuntu 20.04-т суулгах'''
  
 
<pre>
 
<pre>

07:21, 25 Хоёрдугаар сар 2021-ий байдлаарх одоогийн засвар

sendData үйлдлийг хийх үед ийм алдаа гарлаа. Энэ асуудлыг хэрхэн шийдэх вэ?

{
    "errorCode": 317,
    "message": "Баазтай харьцахад алдаа гарлаа!!! \"unknown database BILL_DATA\"",
    "success": false
}

"libsqlite3-0" сангийн version зөрөөд байсан байна.

libsqlite3-0 (3.8)

Тэгэхээр хуучин version -г нь хайж олж байгаад суулгаж ажиллуулахад алдаа нь засагдаж байна шүү.

3.8 хувилбарын debian package-н татах линк https://launchpad.net/ubuntu/trusty/amd64/libsqlite3-0/3.8.2-1ubuntu2.1

libsqlite3-0_3.8.2-1ubuntu2.1_amd64.deb ийм нэртэй файл татагдана. Доорх тушаалаар задална.

$ dpkg -x libsqlite3-0_3.8.2-1ubuntu2.1_amd64.deb libsqlite3


libsqlite3 энэ фолдерт задарсан файлуудаас, libsqlite3.so.0.8.6 гэсэн файлыг /usr/lib/x86_64-linux-gnu (эсвэл зохих фолдерт) гэсэн фолдерт хийнэ.

Доорх тушаалаар shortcut-г нь үүсгэнэ.

ln -s libsqlite3.so.0.8.6 libsqlite3.so


libssl1.0.0 -ийг Ubuntu 20.04-т суулгах

$ wget http://archive.ubuntu.com/ubuntu/pool/main/o/openssl1.0/libssl1.0.0_1.0.2n-1ubuntu5_amd64.deb
$ sudo apt install ./libssl1.0.0_1.0.2n-1ubuntu5_amd64.deb